
package org.eclipse.paho.client.mqttv3.internal;

/**
 * ClientComms.java - allows MIDlet to check for an undocumented PAHO library on EHS6, ELS61, ELS81, PLS62
 * <p>
 * This small file uses the original unrefactored PAHO MQTT project package naming.
 * We should be able to access the VERSION / BUILD_LEVEL values and return "patched by SJM" below.
 * If the values of VERSION / BUILD_LEVEL returned contain "@@" then this is a failure.
 * We must assume there is some older PAHO library already present on the module under test.
 * <br><br>
 * Usage:<br>
 * System.out.println("[MqttMessenger]: PAHO Version = " + org.eclipse.paho.client.mqttv3.internal.ClientComms.VERSION);<br>
 * System.out.println("[MqttMessenger]: PAHO Build   = " + org.eclipse.paho.client.mqttv3.internal.ClientComms.BUILD_LEVEL);<br>
 * [MqttMessenger]: PAHO Version = @@VERSION@@    - not what we expect to see<br>
 * [MqttMessenger]: PAHO Build   = @@BUILDLEVEL@@ - not what we expect to see<br>
 * </p>
 * @param void
 * @return VERSION == "Version patched by SJM"
 * @return BUILD_LEVEL == "Build patched by SJM"
 * @since April 2018
 * @see https://developer.gemalto.com/showcase/paho-project-110-july-2016-mqtt-311
 */

public class ClientComms {
    public static String VERSION     = "Version patched by SJM";    // SJM
    public static String BUILD_LEVEL = "Build patched by SJM";      // SJM
}
