/*******************************************************************************
 * Copyright (c) 2009, 2014 IBM Corp.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * and Eclipse Distribution License v1.0 which accompany this distribution. 
 *
 * The Eclipse Public License is available at 
 *    http://www.eclipse.org/legal/epl-v10.html
 * and the Eclipse Distribution License is available at 
 *   http://www.eclipse.org/org/documents/edl-v10.php.
 *
 * Contributors:
 *    Dave Locke - initial API and implementation and/or initial documentation
 */
package org.eclipse.paho110.client.mqttv311.internal;

//import java.util.MissingResourceException;        // SJM
//import java.util.ResourceBundle;                  // SJM

public class ResourceBundleCatalog extends MessageCatalog {
	
//	private ResourceBundle bundle;              // SJM

/*
 * Creates a resource bundle (.properties) file suitable for internationalizing applications by
 * separating out all human-visible text strings from your code.
 * Resource bundle files can also be used to collect other types of strings, such as properties for Ant scripts.
 * The created resource bundle contains only one locale,
 * but you can add additional locales from the created file's contextual menu.
 * The bundle can be edited in a text file (property-file format) for a specific locale or
 * in a table that displays information for all locales.
 */
    
	public ResourceBundleCatalog() {
		//MAY throws MissingResourceException
//		bundle = ResourceBundle.getBundle("org.eclipse.paho.client.mqttv3.internal.nls.messages");
	}

	protected String getLocalizedMessage(int id) {
//          try {
//                return bundle.getString(Integer.toString(id));
//          } catch (MissingResourceException mre) {return "MqttException";}

            String retVal = "[ResourceBundleCatalog.java] MqttException";

/* - SJM
 * Extracted from "org.eclipse.paho.client.mqttv3.internal.nls.messages"
 * 1=Invalid protocol version
 * 2=Invalid client ID
 * 3=Broker unavailable
 * 4=Bad user name or password
 * 5=Not authorized to connect
 * 6=Unexpected error
 * 32000=Timed out waiting for a response from the server
 * 32001=Internal error, caused by no new message IDs being available
 * 32002=Timed out while waiting to write messages to the server
 * 32100=Client is connected
 * 32101=Client is disconnected
 * 32102=Client is currently disconnecting
 * 32103=Unable to connect to server
 * 32104=Client is not connected
 * 32105=The specified SocketFactory type does not match the broker URI
 * 32106=SSL configuration error
 * 32107=Disconnecting is not allowed from a callback method
 * 32108=Unrecognized packet
 * 32109=Connection lost
 * 32110=Connect already in progress
 * 32111=Client is closed
 * 32200=Persistence already in use
 * 32201=Token already in use
 * 32202=Too many publishes in progress
 */            
            int[] ids = {1,2,3,4,5,6, 
            32000,32001,32002,
            32100,32101,32102,32103,32104,32105,32106,32107,32108,32109,32110,32111,
            32200,32201,32202};
            int i;
            
            String[] messages = {"Invalid protocol version (#1)", "Invalid client ID", "Broker unavailable",
                "Bad user name or password", "Not authorized to connect", "Unexpected error (#6)",
                "Timed out waiting for a response from the server (#32000)", 
                "Internal error, caused by no new message IDs being available", 
                "Timed out while waiting to write messages to the server", 
                "Client is connected", 
                "Client is disconnected", 
                "Client is currently disconnecting", 
                "Unable to connect to server", 
                "Client is not connected", 
                "The specified SocketFactory type does not match the broker URI", 
                "SSL configuration error", 
                "Disconnecting is not allowed from a callback method", 
                "Unrecognized packet", 
                "Connection lost", 
                "Connect already in progress",
                "Client is closed", 
                "Persistence already in use", 
                "Token already in use", 
                "Too many publishes in progress (#32202)"
            };
        
            if (ids.length == messages.length) {
                for (i = 0; i < ids.length; i++) {
                    if (ids[i] == id) {
                        retVal = messages[i];
                    }                
                }
            } else {
                System.out.println("[ResourceBundleCatalog.java]: mismatch in ids[] and messages[].");
            }

            return retVal;
        }
}
