@echo off

REM BAT
REM Copyright 2020 MicroEJ Corp.
REM This software has been designed or modified by MicroEJ Corp.
REM MicroEJ Corp. grants to THALES the non-exclusive right to freely use, modify and distribute this software.

REM 'run.bat' implementation for Gemalto EXS82 Embedded Processing SDK.

REM 'run.bat' is responsible for flashing the executable file on the target device
REM then resetting target device

REM Reset ERRORLEVEL between multiple run in the same shell
SET ERRORLEVEL=0

CALL "%~dp0\set_project_env.bat"
IF %ERRORLEVEL% NEQ 0 (
	EXIT /B %ERRORLEVEL%
)

REM Run-specific Environment Variables
REM EXS82_PORT the COM port used to communicate with the device
REM EXS82_BAUDRATE the COM baudrate used to communicate with the device

IF [%EXS82_PORT%] == [] (
	ECHO Please set the environment variable 'EXS82_PORT' to the serial port used to upload apps.
	EXIT /B -1
)

IF [%EXS82_BAUDRATE%] == [] (
	SET EXS82_BAUDRATE=115200
	ECHO Environment variable 'EXS82_BAUDRATE' set to default value  %EXS82_BAUDRATE%
)

REM Save application current directory and jump one level above scripts
SET CURRENT_DIRECTORY=%CD%
CD "%~dp0\..\"

SET TOOLS_PATH=%GEMALTO_SDK%\tools

%PYTHON27_PATH% %TOOLS_PATH%\app.py stop -p %EXS82_PORT% -s %EXS82_BAUDRATE% microej
%PYTHON27_PATH% %TOOLS_PATH%\app.py download -e bin\microej.bin
%PYTHON27_PATH% %TOOLS_PATH%\app.py start microej

REM Restore application directory
CD "%CURRENT_DIRECTORY%"

EXIT /B %ERRORLEVEL%
