@echo off

REM BAT
REM Copyright 2020 MicroEJ Corp.
REM This software has been designed or modified by MicroEJ Corp.
REM MicroEJ Corp. grants to THALES the non-exclusive right to freely use, modify and distribute this software.

REM 'set_project_env.bat' implementation for Gemalto EXS82 Embedded Processing SDK.

REM 'set_project_env' is responsible for
REM - checking the availability of required environment variables
REM - setting project local variables for 'build.bat' and 'run.bat'

REM Required Environment Variables
REM GEMALTO_SDK (if the SDK is not installed in the BSP project)
REM PYTHON27_PATH (if the installation folder is not C:\Python27)

REM Optional Environment Variable
REM GEMALTO_APPNAME (defaults to microej)

REM Reset ERRORLEVEL between multiple run in the same shell
SET ERRORLEVEL=0

IF [%GEMALTO_SDK%] == [] (
	IF EXIST "%~dp0..\..\..\sdk\README.txt" (
		SET GEMALTO_SDK=%~dp0..\..\..\sdk
	) ELSE (
		ECHO Please set the environment variable 'GEMALTO_SDK' to your Gemalto EXS82 Embedded Processing SDK installation directory.
		SET ERRORLEVEL=-1
	)
)

IF [%PYTHON27_PATH%] == [] (
	IF EXIST "C:\Python27\python.exe" (
		SET PYTHON27_PATH=C:\Python27\python.exe
	) ELSE (
		ECHO Please set the environment variable 'PYTHON27_PATH' to your Python 2.7 executable path.
		SET ERRORLEVEL=-1
	)
)

IF [%GEMALTO_APPNAME%] == [] (
	SET GEMALTO_APPNAME=microej
)

IF [%ERRORLEVEL%] == [0] (
	ECHO GEMALTO_SDK=%GEMALTO_SDK%
	ECHO PYTHON27_PATH=%PYTHON27_PATH%
	ECHO GEMALTO_APPNAME=%GEMALTO_APPNAME%
)

EXIT /B %ERRORLEVEL%
