/*
 * C
 *
 * Copyright 2020 MicroEJ Corp.
 * This software has been designed or modified by MicroEJ Corp.
 * MicroEJ Corp. grants to THALES the non-exclusive right to freely use, modify and distribute this software.
 */

/**
 * @file
 * @brief Security low level implementation configuration and macros
 * @author MicroEJ Developer Team
 * @version 1.0.0
 * @date 09 September 2020
 */

#ifndef  LLSEC_CONFIGURATION_H
#define  LLSEC_CONFIGURATION_H

// comment this define to remove security debug traces
#define LLSEC_DEBUG

#undef LLSEC_DEBUG_TRACE
#undef LLSEC_DEBUG_ASSERT

#ifdef LLSEC_DEBUG
#include <stdio.h>
#include "gina.h"
#define LLSEC_DEBUG_TRACE 	gina_uwlog_printf
#define LLSEC_DEBUG_ASSERT(...) 	gina_uwlog_printf(__VA_ARGS__); while(1);
#else
#define LLSEC_DEBUG_TRACE(...) ((void) 0)
#define LLSEC_DEBUG_ASSERT(...) ((void) 0)
#endif

#endif // LLSEC_CONFIGURATION_H
